=== modified file 'Makefile'
--- Makefile	2007-05-07 17:49:30 +0000
+++ Makefile	2007-05-08 04:14:01 +0000
@@ -85,8 +85,11 @@
 
 pretty_files: $(patsubst doc/%.txt, $(PRETTYDIR)/%.htm, $(txt_files))
 
+doc/developers/%.htm: doc/developers/%.txt
+	python tools/rst2html.py --link-stylesheet --stylesheet=../default.css $< $@
+
 doc/developers/HACKING.htm: doc/developers/HACKING
-	python tools/rst2html.py --link-stylesheet --stylesheet=default.css $< $@
+	python tools/rst2html.py --link-stylesheet --stylesheet=../default.css $< $@
 
 %.htm: %.txt
 	python tools/rst2html.py --link-stylesheet --stylesheet=default.css $< $@
@@ -115,8 +118,10 @@
 
 copy-docs: docs
 	python tools/win32/ostools.py copytodir $(htm_files) \
-		doc/default.css doc/HACKING.htm NEWS README \
+		doc/default.css NEWS README \
 		win32_bzr.exe/doc
+	python tools/win32/ostools.py copytodir doc/developers/HACKING.htm \
+		win32_bzr.exe/doc/developers
 
 # clean produced docs
 clean-docs:

=== modified file 'NEWS'
--- NEWS	2007-05-07 17:04:12 +0000
+++ NEWS	2007-05-08 04:14:01 +0000
@@ -22,7 +22,7 @@
 
     * Move developer documentation to doc/developers/. This reduces clutter in
       the root of the source tree and allows HACKING to be split into multiple
-      files. (Robert Collins)
+      files. (Robert Collins, Alexander Belchenko)
 
 bzr 0.16rc2  2007-04-30
 

=== added file 'doc/developers/index.txt'
--- doc/developers/index.txt	1970-01-01 00:00:00 +0000
+++ doc/developers/index.txt	2007-05-08 04:14:01 +0000
@@ -0,0 +1,15 @@
+=======================
+Bazaar Developers Guide
+=======================
+
+-------------------
+Documentation index
+-------------------
+
+* `General HACKING HOWTO <HACKING.htm>`_
+
+  Guide to policies and tools for working on Bazaar itself.
+
+* `Performance roadmap <performance-roadmap.htm>`_
+
+  The roadmap for fixing performance in bzr over the next few releases.

=== modified file 'doc/index.txt'
--- doc/index.txt	2007-04-12 09:21:48 +0000
+++ doc/index.txt	2007-05-08 04:14:01 +0000
@@ -51,7 +51,7 @@
 
     How to run a smart HTTP server to allow remote access to Bazaar branches.
 
-* `Guidelines for modifying bzr <HACKING.htm>`_
+* `Guidelines for modifying bzr <developers/index.htm>`_
 
     Guide to policies and tools for working on Bazaar itself.
 

